Skip to main content

Extend Showcase Resource

API Description

Extend the end date for a specific showcase resource. Supply the unique Apple-generated ID assigned to the partner's showcase, along with the showcase's new end date, and the service will return the corresponding resource in full.

note

Showcase must be "live" on a device in order to be extended.

Request

URI Parameters

NameInput
orgId
REQUIRED
brandId
REQUIRED
showcaseId
REQUIRED
Path Template
POST {url}/api/{version}/orgs/{orgId}/brands/{brandId}/showcases/{showcaseId}/extend
Path Example
POST {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/showcases/9467895078742654903/extend

Request Headers

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
If-Match
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json
If-Match: "01b32fca-ddd5-11ec-b980-3b362b75a5bc"

Request Body

NameInput
$.id
REQUIRED
$.showcaseDetails
REQUIRED
$.showcaseDetails.endDate
REQUIRED
Example Request Body (raw JSON)
{
"id": "9467895078742654903",
"showcaseDetails": {
"endDate": "2026-10-25T00:00:00.00Z"
}
}

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
etag
location
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 0cb5b5c3-4fa8-4baa-8b8f-e8f9127bf130
content-type: application/json
etag: "a6ca83ce-ddd4-11ec-b42c-df835f144710"
location: /api/v1/orgs/9467895078742654934/brands/9467895078742654921/showcases/9467895078742654903

Response Body

NameOutput
$.orgId
REQUIRED
$.brandId
REQUIRED
$.id
REQUIRED
$.createdDate
REQUIRED
$.updatedDate
REQUIRED
$.state
REQUIRED
$.etag
REQUIRED
$.showcaseDetails
REQUIRED
$.validationReports[]
CONDITIONAL
Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654903",
"etag": "a6ca83ce-ddd4-11ec-b42c-df835f144710",
"createdDate": "2026-09-21T00:00:00.00Z",
"updatedDate": "2026-09-27T16:33:16.00Z",
"state": "SUBMITTED",
"showcaseDetails": {
"startDate": "2026-10-01T00:00:00.00Z",
"endDate": "2026-10-25T00:00:00.00Z",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654918"
},
"creativeId": "9467895078742654987"
},
"validationReports": []
}